
%global meadversion 7.3.4
%global namedversion 7.3.4.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%global fullreltag %{meadalpha}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%global jarname wildfly-core-security

%define maven_version 7.3.4.Final-redhat-1

Name:             jboss-as-core-security
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          JBoss AS Core Security Module
Group:            Development/Libraries

%if %with mead
Source102: wildfly-patching-7.3.4.Final-redhat-1-sources.jar
Source103: wildfly-patching-7.3.4.Final-redhat-1.pom
Source104: wildfly-patching-7.3.4.Final-redhat-1.jar
Source105: wildfly-core-security-7.3.4.Final-redhat-1.pom
Source106: wildfly-core-security-7.3.4.Final-redhat-1.jar
Source107: wildfly-core-security-7.3.4.Final-redhat-1-sources.jar
%endif

License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-as

BuildArch:        noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss AS Core Security Module.

%prep

%build

%install
# JARs
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jbossas
cp -p %{_sourcedir}/%{jarname}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{jarname}.jar
cp -p %{_sourcedir}/%{jarname}-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{jarname}-sources.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{_sourcedir}/%{jarname}-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{jarname}.pom

# DEPMAP
%add_maven_depmap JPP.jbossas-%{jarname}.pom jbossas/%{jarname}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}*/*


%changelog
* Thu Jun 12 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.3.4-1.Final_redhat_1.1
- EAP 6.2.4 CR1

* Tue May 13 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.3.3-3.Final_redhat_3.1
- EAP 6.2.3 CR3

* Wed Apr 30 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.3.3-2.Final_redhat_2.1
- EAP 6.2.3 CR2

* Fri Apr 25 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.3.3-1.Final_redhat_1.1
- EAP 6.2.3 ER1

* Mon Mar 17 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.3.2-2.Final_redhat_2.1
- Rebuild for EAP 6.2.2 CR3

* Mon Mar 17 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-1.Final_redhat_4.1
- Rebuild for EAP 6.2.2 CR3

* Mon Feb 24 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.3.2-1.Final_redhat_1.1
- Rebuild for EAP 6.2.2 CR1

* Thu Feb 06 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.3.1-2.Final_redhat_3.1
- Rebuild for CR4

* Fri Jan 31 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.3.1-1.Final_redhat_2.1
- EAP 6.2.1 CR3 respin

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Wed Oct 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-5.Final_redhat_10.1
- EAP 6.2.0 ER7

* Fri Oct 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-4.Final_redhat_9.2
- EAP 6.2.0 ER6

* Mon Oct 07 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-3.Final_redhat_8.1
- EAP 6.2.0 ER5

* Tue Sep 24 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-2.Final_redhat_6.1
- EAP 6.2.0 ER3

* Mon Sep 23 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-1.Final_redhat_4.2
- EAP 6.2.0 ER2

* Mon Sep 23 2013 Fernando Nasser <fnasser@redhat.com> 7.3.0
- Wrap MEAD build for EAP 6.2

